# CachedRender (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick
Class CachedRender

    java.lang.Object
      org.newdawn.slick.CachedRender

    public class CachedRender

extends java.lang.Object

A set of rendering that is cached onto the graphics card and hopefully is quicker to render. Note that there are some things that can't be done in lists and that all dependent operations must be container. For instance, any colour configuration can not be assumed from outside the cache. Note: The destroy method needs to be used to tidy up. This is pretty important in this case since there are limited number of underlying resources.

Author:
  kevin

Field Summary
`protected static SGL` `GL` The renderer to use for all GL operations

Constructor Summary
`CachedRender(java.lang.Runnable runnable)` Create a new cached render that will build the specified operations on to a video card resource

Method Summary
`void` `destroy()` Destroy this cached render
`void` `render()` Render the cached operations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL

    protected static SGL GL

  The renderer to use for all GL operations

Constructor Detail

### CachedRender

    public CachedRender(java.lang.Runnable runnable)

  Create a new cached render that will build the specified operations on to a video card resource

  Parameters:
    `runnable` - The operations to cache

Method Detail

### render

    public void render()

  Render the cached operations. Note that this doesn't call the operations, but rather calls the cached version

### destroy

    public void destroy()

  Destroy this cached render

Copyright © 2006 New Dawn Software. All Rights Reserved.